#ifndef RECTANGLE_H
#define RECTANGLE_H

// Definição da estrutura Rectangle para representar um retângulo
typedef struct {
    int x, y; // Coordenadas do retângulo
    int l, h; // Largura e altura do retângulo
} Rectangle;

// Função para criar um retângulo com as coordenadas e dimensões especificadas
Rectangle* createRectangle(int x, int y, int l, int h);

// Função para liberar a memória alocada para um retângulo
void freeRectangle(Rectangle* rect);

// Função para aplicar a gravidade a um retângulo
void gravity(Rectangle* rect, Rectangle** retangulos, int numRetangulos);

#endif // RECTANGLE_H